Summary:	library providing high-level API for X Keyboard Extension
Name:		libxklavier
Version:	1.02
Release: 3
License:	LGPL
Group:		Development/Libraries
Url: http://gswitchit.sourceforge.net/
BuildRequires: doxygen
Source: http://gswitchit.sourceforge.net/%{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root


%description
libxklavier is a library providing high-level API for X Keyboard Extension
known as XKB. This library is intended to support XFree86 and other
commercial X servers. It is useful for creating XKB-related software
(layout indicators etc).

%package devel
Summary: Libraries, includes, etc to develop libxklavier applications
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Libraries, include files, etc you can use to develop libxklavier applications.

%prep
%setup -q

%build

%configure --enable-doxygen --with-xkb-base=/usr/X11R6/lib/X11/xkb
make 

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS ChangeLog NEWS README COPYING.LIB 
%{_libdir}/lib*.so.*
%{_datadir}/libxklavier

%files devel
%defattr(-, root, root)

%doc doc/html/*.html doc/html/*.png doc/html/*.css
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/*

%changelog
* Wed Sep 29 2004 Jonathan Blandford <jrb@redhat.com> 1.02-3
- bump version

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Apr 20 2004 Jeremy Katz <katzj@redhat.com> - 1.02-1
- update to 1.02 with real fixes for xorg

* Thu Apr 15 2004 Jeremy Katz <katzj@redhat.com> - 1.00-2
- patch for xorg.xml instead of xfree86.xml

* Fri Apr  2 2004 Alex Larsson <alexl@redhat.com> 1.00-1
- update to 1.00

* Mon Mar 15 2004 Bill Nottingham <notting@redhat.com>
- fix typo (#118237)

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt


* Tue Jan 27 2004 Alexander Larsson <alexl@redhat.com> 0.97-1
- First version
